> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Hold Flight Order

> Hold the selected order without paying (body type:hold)



## OpenAPI

````yaml openapi/zh/duffel-flights.json POST /apis/v1/duffel/flights/orders/hold-create
openapi: 3.1.0
info:
  description: ''
  title: Duffel Flights
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/duffel/flights/offer-requests/create
    - /apis/v1/duffel/flights/offer-requests/list
    - /apis/v1/duffel/flights/offer-requests/{id}
    - /apis/v1/duffel/flights/offers/list
    - /apis/v1/duffel/flights/offers/{id}
    - /apis/v1/duffel/flights/order-cancellations/create
    - /apis/v1/duffel/flights/order-cancellations/{id}
    - /apis/v1/duffel/flights/order-cancellations/{id}/confirm
    - /apis/v1/duffel/flights/order-change-requests/create
    - /apis/v1/duffel/flights/order-change-requests/{id}
    - /apis/v1/duffel/flights/order-changes/create
    - /apis/v1/duffel/flights/orders/create
    - /apis/v1/duffel/flights/orders/hold-create
    - /apis/v1/duffel/flights/seat-maps
  x-aisa-document:
    facts_hash: f5da5a328e1cec5e66cbcd1109d12fa71687c2c4e8bd1da8db603ed7bccd6637
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending:
      - operation_id: post_duffel_offer_requests_create
        path: /apis/v1/duffel/flights/offer-requests/create
        method: POST
        statuses:
          - '200'
        reason: public success response has no authoritative payload declaration
      - operation_id: get_duffel_offer_request
        path: /apis/v1/duffel/flights/offer-requests/{id}
        method: GET
        statuses:
          - '200'
        reason: public success response has no authoritative payload declaration
    document_hash: sha256:bede2cc04d9a6a5b3f07d39c9a84e32a4c2c99be12c3c7e14b9df2ff3c3a3d8a
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: duffel-flights
  x-aisa-catalogs:
    duffel-flights:
      title: Duffel Flights
      description: ''
      x-aisa-document:
        facts_hash: f5da5a328e1cec5e66cbcd1109d12fa71687c2c4e8bd1da8db603ed7bccd6637
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/duffel/flights/orders/hold-create:
    post:
      tags:
        - duffel
      summary: Create Hold Flight Order
      description: Hold the selected order without paying (body type:hold)
      operationId: post_duffel_orders_hold_create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - data
              properties:
                data:
                  properties:
                    metadata:
                      description: >
                        Metadata contains a set of key-value pairs that you can
                        attach to an

                        object. It can be useful for storing additional
                        information about the

                        object, in a structured format. Duffel does not use this
                        information.

                        You should not store sensitive information in this
                        field.


                        The metadata is a collection of key-value pairs, both of
                        which are strings.

                        You can store a maximum of 50 key-value pairs, where
                        each key has a maximum

                        length of 40 characters and each value has a maximum
                        length of 500 characters.


                        Keys must only contain numbers, letters, dashes, or
                        underscores.
                      example:
                        payment_intent_id: pit_00009htYpSCXrwaB9DnUm2
                      type: object
                    passengers:
                      description: >-
                        The personal details of the passengers, expanding on the
                        information initially provided when creating the offer
                        request
                      items:
                        properties:
                          born_on:
                            description: The passenger's date of birth
                            example: '1987-07-24'
                            format: date
                            type: string
                          email:
                            description: The passenger's email address
                            example: amelia@duffel.com
                            type: string
                          family_name:
                            description: >-
                              The passenger's family name. Only `space`, `-`,
                              `'`, and letters from the
                              [`ASCII`](https://www.unicode.org/charts/PDF/U0000.pdf),
                              [`Latin-1
                              Supplement`](https://www.unicode.org/charts/PDF/U0080.pdf)
                              and [`Latin
                              Extended-A`](https://www.unicode.org/charts/PDF/U0100.pdf)
                              (with the exceptions of `Æ`, `æ`, `Ĳ`, `ĳ`, `Œ`,
                              `œ`, `Þ`, and `ð`) Unicode charts are accepted.
                              All other characters will result in a validation
                              error. The minimum length is 1 or 2 characters,
                              and the maximum, combined with `given_name`, is 40
                              characters. The requirements vary by airline. We
                              recommend using a minimum length of 2.
                            example: Earhart
                            type: string
                          gender:
                            description: The passenger's gender
                            enum:
                              - m
                              - f
                            example: f
                            type: string
                          given_name:
                            description: >-
                              The passenger's given name. Only `space`, `-`,
                              `'`, and letters from the
                              [`ASCII`](https://www.unicode.org/charts/PDF/U0000.pdf),
                              [`Latin-1
                              Supplement`](https://www.unicode.org/charts/PDF/U0080.pdf)
                              and [`Latin
                              Extended-A`](https://www.unicode.org/charts/PDF/U0100.pdf)
                              (with the exceptions of `Æ`, `æ`, `Ĳ`, `ĳ`, `Œ`,
                              `œ`, `Þ`, and `ð`) Unicode charts are accepted.
                              All other characters will result in a validation
                              error. The minimum length is 1 or 2 characters,
                              and the maximum, combined with `family_name`, is
                              40 characters. The requirements vary by airline.
                              We recommend using a minimum length of 2.
                            example: Amelia
                            type: string
                          id:
                            description: >-
                              The `id` of the passenger, returned when the
                              [offer request](/docs/api/offer-requests) was
                              created
                            example: pas_00009hj8USM7Ncg31cBCLL
                            type: string
                          identity_documents:
                            description: >-
                              The passenger's identity documents. You may only
                              provide one identity document per type per
                              passenger.

                              The identity document's type supported by the
                              airline can be found in the offer's
                              `supported_passenger_identity_document_types`.

                              If the offer's
                              `passenger_identity_documents_required` is set to
                              `true`, then a passport document must be provided.
                            items:
                              properties:
                                expires_on:
                                  description: >-
                                    Must only be provided for `passport` type.
                                    The date on which the identity document
                                    expires
                                  example: '2025-04-25'
                                  format: date
                                  type: string
                                issuing_country_code:
                                  description: >-
                                    Must only be provided for `passport`,
                                    `known_traveler_number`, and
                                    `passenger_redress_number` types. The [ISO
                                    3166-1
                                    alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                    code of the country that issued this
                                    identity document
                                  example: GB
                                  format: ISO 3166-1 alpha-2
                                  type: string
                                type:
                                  description: >-
                                    The type of the identity document.
                                    Currently, the only supported types are
                                    `passport`, `tax_id`,
                                    `known_traveler_number`, and
                                    `passenger_redress_number`.

                                    The identity document's type supported by
                                    the airline can be found in the offer's
                                    `supported_passenger_identity_document_types`.
                                  enum:
                                    - passport
                                    - tax_id
                                    - known_traveler_number
                                    - passenger_redress_number
                                  example: passport
                                  type: string
                                unique_identifier:
                                  description: >-
                                    The unique identifier of the identity
                                    document. e.g. the passport number.
                                  example: 19KL56147
                                  type: string
                              required:
                                - expires_on
                                - issuing_country_code
                                - type
                                - unique_identifier
                              title: Order Request Passenger Identity Document
                              type: object
                            type:
                              - array
                              - 'null'
                          infant_passenger_id:
                            description: >-
                              Infant passengers, with an `age` of 0 or 1, must
                              be associated with an adult passenger. This field
                              should be used to make this association. It should
                              contain the `id` of the infant passenger as
                              returned in the [offer
                              request](/docs/api/offer-requests).
                            example: pas_00009hj8USM8Ncg32aTGHL
                            type: string
                          phone_number:
                            description: >-
                              The passenger's phone number in
                              [E.164](https://www.twilio.com/docs/glossary/what-e164)
                              (international) format
                            example: '+442080160509'
                            type: string
                          title:
                            description: >-
                              The passenger's title (the `dr` title is not
                              supported by certain airlines, where a
                              [`ValidationError`](/docs/api/overview/response-handling)
                              will be returned instead if used)
                            enum:
                              - mr
                              - ms
                              - mrs
                              - miss
                              - dr
                            example: mrs
                            type: string
                          user_id:
                            description: >
                              Creates an association between the passenger and a
                              previously created user.


                              This is intended to allow passengers the ability
                              to manage their own orders.
                            example: icu_00009htyDGjIfajdNBZRlw
                            type: string
                        required:
                          - id
                          - given_name
                          - family_name
                          - gender
                          - title
                          - born_on
                          - email
                          - phone_number
                        title: Order Request Passenger
                        type: object
                      type: array
                    payments:
                      description: >-
                        The payment details to use to pay for the order. This
                        key should be omitted when the order’s `type` is `hold`.
                      items:
                        properties:
                          amount:
                            description: >-
                              The amount of the payment. This should be the same
                              as the `total_amount` of the offer specified in
                              `selected_offers`, plus the `total_amount` of all
                              the services specified in `services`.
                            example: '30.20'
                            type: string
                          currency:
                            description: >-
                              The currency of the `amount`, as an [ISO
                              4217](https://en.wikipedia.org/wiki/ISO_4217)
                              currency code. This should be the same as the
                              `total_currency` of the offer specified in
                              `selected_offers`.
                            example: GBP
                            format: ISO 4217
                            type: string
                          three_d_secure_session_id:
                            description: >-
                              The `id` of the 3DSecure Session ID. This is the
                              authentication when paying by
                              [card](/docs/api/v2/card).
                            example: 3ds_0000AWr2XsTRIF1Vp34gh5
                            type: string
                          type:
                            description: >-
                              The type of payment you want to apply to the
                              order. If you are an IATA agent with your own
                              agreements with airlines, in some cases, you can
                              pay using ARC/BSP cash by specifying
                              `arc_bsp_cash`.

                              You can pay using your Duffel account's balance by
                              specifying `balance`. Otherwise, you can pay by
                              [card](docs/api/v2/card). In [test
                              mode](/docs/api/overview/test-mode), your balance
                              is unlimited.

                              If you're not sure which of these options applies
                              to you, get in touch with the Duffel support team
                              at <help@duffel.com>.
                            enum:
                              - arc_bsp_cash
                              - balance
                              - card
                            example: balance
                            type: string
                        required:
                          - type
                          - amount
                          - currency
                        type: object
                      type: array
                    selected_offers:
                      description: >
                        The `id`s of the offers you want to book. You must
                        specify an array containing exactly one selected offer.


                        Note that you can only book one offer per offer request.
                      items:
                        example: off_00009htyDGjIfajdNBZRlw
                        type: string
                      type: array
                    services:
                      description: >
                        The services you want to book along with the first
                        selected offer.


                        If the offer was priced with `intended_services`, you
                        must either send those same

                        services here or omit this key entirely. Any other set
                        of services is rejected.
                      items:
                        properties:
                          id:
                            description: >-
                              The `id` of the service from the offer's
                              `available_services` that you want to book
                            example: ase_00009hj8USM7Ncg31cB123
                            type: string
                          quantity:
                            description: >-
                              The quantity of the service to book. This will
                              always be `1` for seat services.
                            example: 1
                            minimum: 1
                            type: integer
                        required:
                          - id
                          - quantity
                        title: Order Request Service
                        type: object
                      type: array
                    type:
                      description: >
                        The type of order. You can only use `hold` with offers
                        where `payment_requirements.requires_instant_payment` is
                        `false`.


                        When booking an offer with type `hold`, do not specify
                        `payments` key.
                      enum:
                        - instant
                        - hold
                      example: instant
                      type: string
                    users:
                      description: >
                        The `id`s of users that would be allowed to manage the
                        order.
                      items:
                        example: icu_00009htyDGjIfajdNBZRlw
                        type: string
                      type: array
                  required:
                    - selected_offers
                    - passengers
                    - payments
                  type: object
                  title: Body parameters
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: >-
                      #/components/schemas/PublishedResponses_PreviousResponseDuffel_Order
          description: Held order awaiting payment
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
        2XX:
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    additionalProperties: false
                    description: An order represents a booking with an airline
                    properties:
                      airline_initiated_changes:
                        description: The airline-initiated changes for this Order
                        items:
                          additionalProperties: false
                          properties:
                            action_taken:
                              description: >
                                The action taken in response to this
                                airline-initiated change.


                                Accepted, cancelled and changed reflect your
                                action in accepting the change,

                                cancelling the order or changing the order
                                respectively.
                              enum:
                                - accepted
                                - cancelled
                                - changed
                              example: accepted
                              type:
                                - string
                                - 'null'
                            action_taken_at:
                              description: >-
                                The [ISO
                                8601](https://en.wikipedia.org/wiki/ISO_8601)
                                datetime at which an action was taken
                              example: '2022-01-17T10:12:14.545Z'
                              type:
                                - string
                                - 'null'
                            added:
                              description: >-
                                List of updated [slices and
                                segments](/docs/api/orders/schema#orders-schema-slices)
                                following the change. These slices and segments
                                may each have a new ID as a result of the
                                changes.
                              items:
                                additionalProperties: false
                                properties:
                                  conditions:
                                    additionalProperties: false
                                    description: >
                                      The conditions associated with this slice,
                                      describing the kinds of modifications you
                                      can make and any penalties that will apply
                                      to those modifications.

                                      This condition is applied only to this
                                      slice and to all the passengers associated
                                      with this order - for information at the
                                      order level (e.g. "what happens if I want
                                      to change all the slices?") refer to the
                                      `conditions` at the top level.

                                      If a particular kind of modification is
                                      allowed, you may not always be able to
                                      take action through the Duffel API. In
                                      some cases, you may need to contact the
                                      Duffel support team or the airline
                                      directly.
                                    properties:
                                      change_before_departure:
                                        description: >
                                          Whether this slice can be changed before
                                          the departure.

                                          If the slice can be changed for all of
                                          the passengers then the `allowed`
                                          property will be `true` and information
                                          will be provided about any penalties.

                                          If none of the passengers on the slice
                                          can be changed then the `allowed`
                                          property will be `false`.

                                          In all other cases this property will be
                                          `null` indicating we can't provide the
                                          information for this slice.

                                          The `penalty_amount` is specific to
                                          changing this slice and may not be the
                                          penalties that is applied if the entire
                                          order is changed.
                                        properties:
                                          allowed:
                                            description: >-
                                              Whether this kind of modification is
                                              allowed post-booking
                                            example: true
                                            type: boolean
                                          penalty_amount:
                                            description: >
                                              If the modification is `allowed` then
                                              this is the amount payable to apply the
                                              modification to all passengers. If there
                                              is no penalty, the value will be zero.

                                              If the modification isn't `allowed` or
                                              the penalty is not known then this field
                                              will be `null`.

                                              If this is `null` then the
                                              `penalty_currency` will also be `null`.
                                            example: '100.00'
                                            type:
                                              - string
                                              - 'null'
                                          penalty_currency:
                                            description: >
                                              The currency of the `penalty_amount` as
                                              an [ISO
                                              4217](https://en.wikipedia.org/wiki/ISO_4217)
                                              currency code.

                                              This will be in a currency determined by
                                              the airline, which is not necessarily
                                              the same as the currency of the offer or
                                              order.

                                              If this is `null` then `penalty_amount`
                                              will also be `null`.
                                            example: GBP
                                            format: ISO 4217
                                            type:
                                              - string
                                              - 'null'
                                        type:
                                          - object
                                          - 'null'
                                    required:
                                      - change_before_departure
                                    title: OrderSliceConditions
                                    type: object
                                  destination:
                                    additionalProperties: false
                                    description: The city or airport where this slice ends
                                    properties:
                                      airports:
                                        description: >-
                                          The airports associated to a city. This
                                          will only be provided where the `type`
                                          is `city`.
                                        items:
                                          properties:
                                            city:
                                              description: >-
                                                The metropolitan area where the airport
                                                is located. Only present for airports
                                                which are registered with IATA as
                                                belonging to a [metropolitan
                                                area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                              properties:
                                                airports:
                                                  description: >-
                                                    List of airports associated with the
                                                    city
                                                  items:
                                                    properties:
                                                      iata_code:
                                                        description: >-
                                                          The three-character IATA code for the
                                                          airport
                                                        example: LHR
                                                        type: string
                                                      iata_country_code:
                                                        description: >-
                                                          The [ISO 3166-1
                                                          alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                          code for the country where the airport
                                                          is located
                                                        example: GB
                                                        format: ISO 3166-1 alpha-2
                                                        type: string
                                                      icao_code:
                                                        description: >-
                                                          The four-character ICAO code for the
                                                          airport
                                                        example: EGLL
                                                        type:
                                                          - string
                                                          - 'null'
                                                      id:
                                                        description: >-
                                                          Duffel's unique identifier for the
                                                          resource
                                                        example: arp_lhr_gb
                                                        type: string
                                                      latitude:
                                                        description: >-
                                                          The latitude position of the airport
                                                          represented in [Decimal
                                                          degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                          with 6 decimal points with a range
                                                          between -90° and 90°
                                                        example: 64.068865
                                                        format: float
                                                        type: number
                                                      longitude:
                                                        description: >-
                                                          The longitude position of the airport
                                                          represented in [Decimal
                                                          degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                          with 6 decimal points with a range
                                                          between -180° and 180°
                                                        example: -141.951519
                                                        format: float
                                                        type: number
                                                      name:
                                                        description: The name of the airport
                                                        example: Heathrow
                                                        type: string
                                                      time_zone:
                                                        description: >-
                                                          The time zone of the airport, specified
                                                          by name from the [tz
                                                          database](https://en.wikipedia.org/wiki/Tz_database)
                                                        example: Europe/London
                                                        type: string
                                                    type: object
                                                  type: array
                                                iata_code:
                                                  description: >-
                                                    The three-character IATA code for the
                                                    city
                                                  example: LON
                                                  type: string
                                                iata_country_code:
                                                  description: >-
                                                    The [ISO 3166-1
                                                    alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                    code for the country where the city is
                                                    located
                                                  example: GB
                                                  format: ISO 3166-1 alpha-2
                                                  type: string
                                                id:
                                                  description: >-
                                                    Duffel's unique identifier for the
                                                    resource
                                                  example: cit_lon_gb
                                                  type: string
                                                name:
                                                  description: The name of the city
                                                  example: London
                                                  type: string
                                              title: City
                                              type:
                                                - object
                                                - 'null'
                                            city_name:
                                              description: >-
                                                The name of the city (or cities
                                                separated by a `/`) where the airport is
                                                located
                                              example: London
                                              type: string
                                            iata_city_code:
                                              description: >-
                                                The three-character IATA code for the
                                                city where the airport is located
                                              example: LON
                                              type: string
                                            iata_code:
                                              description: >-
                                                The three-character IATA code for the
                                                airport
                                              example: LHR
                                              type: string
                                            iata_country_code:
                                              description: >-
                                                The [ISO 3166-1
                                                alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                code for the country where the airport
                                                is located
                                              example: GB
                                              format: ISO 3166-1 alpha-2
                                              type: string
                                            icao_code:
                                              description: >-
                                                The four-character ICAO code for the
                                                airport
                                              example: EGLL
                                              type:
                                                - string
                                                - 'null'
                                            id:
                                              description: >-
                                                Duffel's unique identifier for the
                                                resource
                                              example: arp_lhr_gb
                                              type: string
                                            latitude:
                                              description: >-
                                                The latitude position of the airport
                                                represented in [Decimal
                                                degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                with 6 decimal points with a range
                                                between -90° and 90°
                                              example: 64.068865
                                              format: float
                                              type: number
                                            longitude:
                                              description: >-
                                                The longitude position of the airport
                                                represented in [Decimal
                                                degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                with 6 decimal points with a range
                                                between -180° and 180°
                                              example: -141.951519
                                              format: float
                                              type: number
                                            name:
                                              description: The name of the airport
                                              example: Heathrow
                                              type: string
                                            time_zone:
                                              description: >-
                                                The time zone of the airport, specified
                                                by name from the [tz
                                                database](https://en.wikipedia.org/wiki/Tz_database)
                                              example: Europe/London
                                              type: string
                                          required:
                                            - iata_code
                                            - id
                                            - name
                                            - iata_country_code
                                            - latitude
                                            - longitude
                                            - icao_code
                                            - time_zone
                                            - city_name
                                            - iata_city_code
                                          title: Airport
                                          type: object
                                        type:
                                          - array
                                          - 'null'
                                      city:
                                        description: >-
                                          The metropolitan area where the airport
                                          is located. Only present for airports
                                          which are registered with IATA as
                                          belonging to a [metropolitan
                                          area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                        properties:
                                          airports:
                                            description: >-
                                              List of airports associated with the
                                              city
                                            items:
                                              properties:
                                                iata_code:
                                                  description: >-
                                                    The three-character IATA code for the
                                                    airport
                                                  example: LHR
                                                  type: string
                                                iata_country_code:
                                                  description: >-
                                                    The [ISO 3166-1
                                                    alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                    code for the country where the airport
                                                    is located
                                                  example: GB
                                                  format: ISO 3166-1 alpha-2
                                                  type: string
                                                icao_code:
                                                  description: >-
                                                    The four-character ICAO code for the
                                                    airport
                                                  example: EGLL
                                                  type:
                                                    - string
                                                    - 'null'
                                                id:
                                                  description: >-
                                                    Duffel's unique identifier for the
                                                    resource
                                                  example: arp_lhr_gb
                                                  type: string
                                                latitude:
                                                  description: >-
                                                    The latitude position of the airport
                                                    represented in [Decimal
                                                    degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                    with 6 decimal points with a range
                                                    between -90° and 90°
                                                  example: 64.068865
                                                  format: float
                                                  type: number
                                                longitude:
                                                  description: >-
                                                    The longitude position of the airport
                                                    represented in [Decimal
                                                    degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                    with 6 decimal points with a range
                                                    between -180° and 180°
                                                  example: -141.951519
                                                  format: float
                                                  type: number
                                                name:
                                                  description: The name of the airport
                                                  example: Heathrow
                                                  type: string
                                                time_zone:
                                                  description: >-
                                                    The time zone of the airport, specified
                                                    by name from the [tz
                                                    database](https://en.wikipedia.org/wiki/Tz_database)
                                                  example: Europe/London
                                                  type: string
                                              type: object
                                            type: array
                                          iata_code:
                                            description: >-
                                              The three-character IATA code for the
                                              city
                                            example: LON
                                            type: string
                                          iata_country_code:
                                            description: >-
                                              The [ISO 3166-1
                                              alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                              code for the country where the city is
                                              located
                                            example: GB
                                            format: ISO 3166-1 alpha-2
                                            type: string
                                          id:
                                            description: >-
                                              Duffel's unique identifier for the
                                              resource
                                            example: cit_lon_gb
                                            type: string
                                          name:
                                            description: The name of the city
                                            example: London
                                            type: string
                                        title: City
                                        type:
                                          - object
                                          - 'null'
                                      city_name:
                                        description: >-
                                          The name of the city (or cities
                                          separated by a `/`) where the airport is
                                          located
                                        example: London
                                        type:
                                          - string
                                          - 'null'
                                      iata_city_code:
                                        description: >-
                                          The 3-letter IATA code for the city
                                          where the place is located. Only present
                                          for airports which are registered with
                                          IATA as belonging to a [metropolitan
                                          area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                        example: LON
                                        type:
                                          - string
                                          - 'null'
                                      iata_code:
                                        description: The 3-letter IATA code for the place
                                        example: LHR
                                        type: string
                                      iata_country_code:
                                        description: >-
                                          The [ISO 3166-1
                                          alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                          code for the country where the city is
                                          located
                                        example: GB
                                        format: ISO 3166-1 alpha-2
                                        type: string
                                      icao_code:
                                        description: >-
                                          The four-character ICAO code for the
                                          airport
                                        example: EGLL
                                        type:
                                          - string
                                          - 'null'
                                      id:
                                        description: >-
                                          Duffel's unique identifier for the
                                          resource
                                        example: arp_lhr_gb
                                        type: string
                                      latitude:
                                        description: >-
                                          The latitude position of the airport
                                          represented in [Decimal
                                          degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                          with 6 decimal points with a range
                                          between -90° and 90°
                                        example: 64.068865
                                        format: float
                                        type:
                                          - number
                                          - 'null'
                                      longitude:
                                        description: >-
                                          The longitude position of the airport
                                          represented in [Decimal
                                          degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                          with 6 decimal points with a range
                                          between -180° and 180°
                                        example: -141.951519
                                        format: float
                                        type:
                                          - number
                                          - 'null'
                                      name:
                                        description: The name of the place
                                        example: Heathrow
                                        type: string
                                      time_zone:
                                        description: >-
                                          The time zone of the airport, specified
                                          by name from the [tz
                                          database](https://en.wikipedia.org/wiki/Tz_database)
                                        example: Europe/London
                                        type:
                                          - string
                                          - 'null'
                                      type:
                                        description: The type of the place
                                        enum:
                                          - airport
                                          - city
                                        example: airport
                                        type: string
                                    required:
                                      - iata_city_code
                                      - iata_code
                                      - id
                                      - name
                                      - type
                                      - iata_country_code
                                      - latitude
                                      - longitude
                                      - icao_code
                                      - time_zone
                                      - city_name
                                    title: Place
                                    type: object
                                  destination_type:
                                    description: The type of the destination
                                    enum:
                                      - airport
                                      - city
                                    example: airport
                                    type: string
                                  duration:
                                    description: >-
                                      The duration of the slice, represented as
                                      a [ISO
                                      8601](https://en.wikipedia.org/wiki/ISO_8601#Durations)
                                      duration
                                    example: PT02H26M
                                    type:
                                      - string
                                      - 'null'
                                  fare_brand_name:
                                    description: >
                                      The name of the fare brand associated with
                                      this slice. A fare brand

                                      specifies the travel conditions you get on
                                      your slice made available by

                                      the airline. e.g. a British Airways
                                      Economy Basic fare will only include

                                      a hand baggage allowance. It is worth
                                      noting that the fare brand names

                                      are defined by the airlines themselves and
                                      therefore they are subject to

                                      change without any prior notice.
                                    example: Basic
                                    type:
                                      - string
                                      - 'null'
                                  id:
                                    description: >-
                                      Duffel's unique identifier for the
                                      resource
                                    example: sli_00009htYpSCXrwaB9Dn123
                                    type: string
                                  origin:
                                    additionalProperties: false
                                    description: >-
                                      The city or airport where this slice
                                      begins
                                    properties:
                                      airports:
                                        description: >-
                                          The airports associated to a city. This
                                          will only be provided where the `type`
                                          is `city`.
                                        items:
                                          properties:
                                            city:
                                              description: >-
                                                The metropolitan area where the airport
                                                is located. Only present for airports
                                                which are registered with IATA as
                                                belonging to a [metropolitan
                                                area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                              properties:
                                                airports:
                                                  description: >-
                                                    List of airports associated with the
                                                    city
                                                  items:
                                                    properties:
                                                      iata_code:
                                                        description: >-
                                                          The three-character IATA code for the
                                                          airport
                                                        example: LHR
                                                        type: string
                                                      iata_country_code:
                                                        description: >-
                                                          The [ISO 3166-1
                                                          alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                          code for the country where the airport
                                                          is located
                                                        example: GB
                                                        format: ISO 3166-1 alpha-2
                                                        type: string
                                                      icao_code:
                                                        description: >-
                                                          The four-character ICAO code for the
                                                          airport
                                                        example: EGLL
                                                        type:
                                                          - string
                                                          - 'null'
                                                      id:
                                                        description: >-
                                                          Duffel's unique identifier for the
                                                          resource
                                                        example: arp_lhr_gb
                                                        type: string
                                                      latitude:
                                                        description: >-
                                                          The latitude position of the airport
                                                          represented in [Decimal
                                                          degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                          with 6 decimal points with a range
                                                          between -90° and 90°
                                                        example: 64.068865
                                                        format: float
                                                        type: number
                                                      longitude:
                                                        description: >-
                                                          The longitude position of the airport
                                                          represented in [Decimal
                                                          degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                          with 6 decimal points with a range
                                                          between -180° and 180°
                                                        example: -141.951519
                                                        format: float
                                                        type: number
                                                      name:
                                                        description: The name of the airport
                                                        example: Heathrow
                                                        type: string
                                                      time_zone:
                                                        description: >-
                                                          The time zone of the airport, specified
                                                          by name from the [tz
                                                          database](https://en.wikipedia.org/wiki/Tz_database)
                                                        example: Europe/London
                                                        type: string
                                                    type: object
                                                  type: array
                                                iata_code:
                                                  description: >-
                                                    The three-character IATA code for the
                                                    city
                                                  example: LON
                                                  type: string
                                                iata_country_code:
                                                  description: >-
                                                    The [ISO 3166-1
                                                    alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                    code for the country where the city is
                                                    located
                                                  example: GB
                                                  format: ISO 3166-1 alpha-2
                                                  type: string
                                                id:
                                                  description: >-
                                                    Duffel's unique identifier for the
                                                    resource
                                                  example: cit_lon_gb
                                                  type: string
                                                name:
                                                  description: The name of the city
                                                  example: London
                                                  type: string
                                              title: City
                                              type:
                                                - object
                                                - 'null'
                                            city_name:
                                              description: >-
                                                The name of the city (or cities
                                                separated by a `/`) where the airport is
                                                located
                                              example: London
                                              type: string
                                            iata_city_code:
                                              description: >-
                                                The three-character IATA code for the
                                                city where the airport is located
                                              example: LON
                                              type: string
                                            iata_code:
                                              description: >-
                                                The three-character IATA code for the
                                                airport
                                              example: LHR
                                              type: string
                                            iata_country_code:
                                              description: >-
                                                The [ISO 3166-1
                                                alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                code for the country where the airport
                                                is located
                                              example: GB
                                              format: ISO 3166-1 alpha-2
                                              type: string
                                            icao_code:
                                              description: >-
                                                The four-character ICAO code for the
                                                airport
                                              example: EGLL
                                              type:
                                                - string
                                                - 'null'
                                            id:
                                              description: >-
                                                Duffel's unique identifier for the
                                                resource
                                              example: arp_lhr_gb
                                              type: string
                                            latitude:
                                              description: >-
                                                The latitude position of the airport
                                                represented in [Decimal
                                                degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                with 6 decimal points with a range
                                                between -90° and 90°
                                              example: 64.068865
                                              format: float
                                              type: number
                                            longitude:
                                              description: >-
                                                The longitude position of the airport
                                                represented in [Decimal
                                                degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                with 6 decimal points with a range
                                                between -180° and 180°
                                              example: -141.951519
                                              format: float
                                              type: number
                                            name:
                                              description: The name of the airport
                                              example: Heathrow
                                              type: string
                                            time_zone:
                                              description: >-
                                                The time zone of the airport, specified
                                                by name from the [tz
                                                database](https://en.wikipedia.org/wiki/Tz_database)
                                              example: Europe/London
                                              type: string
                                          required:
                                            - iata_code
                                            - id
                                            - name
                                            - iata_country_code
                                            - latitude
                                            - longitude
                                            - icao_code
                                            - time_zone
                                            - city_name
                                            - iata_city_code
                                          title: Airport
                                          type: object
                                        type:
                                          - array
                                          - 'null'
                                      city:
                                        description: >-
                                          The metropolitan area where the airport
                                          is located. Only present for airports
                                          which are registered with IATA as
                                          belonging to a [metropolitan
                                          area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                        properties:
                                          airports:
                                            description: >-
                                              List of airports associated with the
                                              city
                                            items:
                                              properties:
                                                iata_code:
                                                  description: >-
                                                    The three-character IATA code for the
                                                    airport
                                                  example: LHR
                                                  type: string
                                                iata_country_code:
                                                  description: >-
                                                    The [ISO 3166-1
                                                    alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                    code for the country where the airport
                                                    is located
                                                  example: GB
                                                  format: ISO 3166-1 alpha-2
                                                  type: string
                                                icao_code:
                                                  description: >-
                                                    The four-character ICAO code for the
                                                    airport
                                                  example: EGLL
                                                  type:
                                                    - string
                                                    - 'null'
                                                id:
                                                  description: >-
                                                    Duffel's unique identifier for the
                                                    resource
                                                  example: arp_lhr_gb
                                                  type: string
                                                latitude:
                                                  description: >-
                                                    The latitude position of the airport
                                                    represented in [Decimal
                                                    degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                    with 6 decimal points with a range
                                                    between -90° and 90°
                                                  example: 64.068865
                                                  format: float
                                                  type: number
                                                longitude:
                                                  description: >-
                                                    The longitude position of the airport
                                                    represented in [Decimal
                                                    degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                    with 6 decimal points with a range
                                                    between -180° and 180°
                                                  example: -141.951519
                                                  format: float
                                                  type: number
                                                name:
                                                  description: The name of the airport
                                                  example: Heathrow
                                                  type: string
                                                time_zone:
                                                  description: >-
                                                    The time zone of the airport, specified
                                                    by name from the [tz
                                                    database](https://en.wikipedia.org/wiki/Tz_database)
                                                  example: Europe/London
                                                  type: string
                                              type: object
                                            type: array
                                          iata_code:
                                            description: >-
                                              The three-character IATA code for the
                                              city
                                            example: LON
                                            type: string
                                          iata_country_code:
                                            description: >-
                                              The [ISO 3166-1
                                              alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                              code for the country where the city is
                                              located
                                            example: GB
                                            format: ISO 3166-1 alpha-2
                                            type: string
                                          id:
                                            description: >-
                                              Duffel's unique identifier for the
                                              resource
                                            example: cit_lon_gb
                                            type: string
                                          name:
                                            description: The name of the city
                                            example: London
                                            type: string
                                        title: City
                                        type:
                                          - object
                                          - 'null'
                                      city_name:
                                        description: >-
                                          The name of the city (or cities
                                          separated by a `/`) where the airport is
                                          located
                                        example: London
                                        type:
                                          - string
                                          - 'null'
                                      iata_city_code:
                                        description: >-
                                          The 3-letter IATA code for the city
                                          where the place is located. Only present
                                          for airports which are registered with
                                          IATA as belonging to a [metropolitan
                                          area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                        example: LON
                                        type:
                                          - string
                                          - 'null'
                                      iata_code:
                                        description: The 3-letter IATA code for the place
                                        example: LHR
                                        type: string
                                      iata_country_code:
                                        description: >-
                                          The [ISO 3166-1
                                          alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                          code for the country where the city is
                                          located
                                        example: GB
                                        format: ISO 3166-1 alpha-2
                                        type: string
                                      icao_code:
                                        description: >-
                                          The four-character ICAO code for the
                                          airport
                                        example: EGLL
                                        type:
                                          - string
                                          - 'null'
                                      id:
                                        description: >-
                                          Duffel's unique identifier for the
                                          resource
                                        example: arp_lhr_gb
                                        type: string
                                      latitude:
                                        description: >-
                                          The latitude position of the airport
                                          represented in [Decimal
                                          degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                          with 6 decimal points with a range
                                          between -90° and 90°
                                        example: 64.068865
                                        format: float
                                        type:
                                          - number
                                          - 'null'
                                      longitude:
                                        description: >-
                                          The longitude position of the airport
                                          represented in [Decimal
                                          degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                          with 6 decimal points with a range
                                          between -180° and 180°
                                        example: -141.951519
                                        format: float
                                        type:
                                          - number
                                          - 'null'
                                      name:
                                        description: The name of the place
                                        example: Heathrow
                                        type: string
                                      time_zone:
                                        description: >-
                                          The time zone of the airport, specified
                                          by name from the [tz
                                          database](https://en.wikipedia.org/wiki/Tz_database)
                                        example: Europe/London
                                        type:
                                          - string
                                          - 'null'
                                      type:
                                        description: The type of the place
                                        enum:
                                          - airport
                                          - city
                                        example: airport
                                        type: string
                                    required:
                                      - iata_city_code
                                      - iata_code
                                      - id
                                      - name
                                      - type
                                      - iata_country_code
                                      - latitude
                                      - longitude
                                      - icao_code
                                      - time_zone
                                      - city_name
                                    title: Place
                                    type: object
                                  origin_type:
                                    description: The type of the origin
                                    enum:
                                      - airport
                                      - city
                                    example: airport
                                    type: string
                                  segments:
                                    description: >-
                                      The segments - that is, specific flights -
                                      that the airline is offering to get the
                                      passengers from the `origin` to the
                                      `destination`
                                    items:
                                      additionalProperties: false
                                      properties:
                                        aircraft:
                                          allOf:
                                            - additionalProperties: false
                                              properties:
                                                iata_code:
                                                  description: >-
                                                    The three-character IATA code for the
                                                    aircraft
                                                  example: '380'
                                                  type: string
                                                id:
                                                  description: >-
                                                    Duffel's unique identifier for the
                                                    resource
                                                  example: arc_00009UhD4ongolulWd91Ky
                                                  type: string
                                                name:
                                                  description: The name of the aircraft
                                                  example: Airbus Industries A380
                                                  type: string
                                              required:
                                                - iata_code
                                                - id
                                                - name
                                              title: Aircraft
                                              type: object
                                            - description: >-
                                                The aircraft that the operating carrier
                                                will use to operate this segment
                                        arriving_at:
                                          description: >-
                                            The [ISO
                                            8601](https://en.wikipedia.org/wiki/ISO_8601)
                                            datetime at which the segment is
                                            scheduled to arrive, in the destination
                                            airport timezone (see
                                            `destination.timezone`)
                                          example: '2020-06-13T16:38:02'
                                          format: local-date-time
                                          type: string
                                        departing_at:
                                          description: >-
                                            The [ISO
                                            8601](https://en.wikipedia.org/wiki/ISO_8601)
                                            datetime at which the segment is
                                            scheduled to depart, in the origin
                                            airport timezone (see `origin.timezone`)
                                          example: '2020-06-13T16:38:02'
                                          format: local-date-time
                                          type: string
                                        destination:
                                          allOf:
                                            - properties:
                                                city:
                                                  description: >-
                                                    The metropolitan area where the airport
                                                    is located. Only present for airports
                                                    which are registered with IATA as
                                                    belonging to a [metropolitan
                                                    area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                                  properties:
                                                    iata_code:
                                                      description: >-
                                                        The three-character IATA code for the
                                                        city
                                                      example: NYC
                                                      type: string
                                                    iata_country_code:
                                                      description: >-
                                                        The [ISO 3166-1
                                                        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                        code for the country where the city is
                                                        located
                                                      example: US
                                                      format: ISO 3166-1 alpha-2
                                                      type: string
                                                    id:
                                                      description: >-
                                                        Duffel's unique identifier for the
                                                        resource
                                                      example: cit_nyc_us
                                                      type: string
                                                    name:
                                                      description: The name of the city
                                                      example: New York
                                                      type: string
                                                  title: City
                                                  type:
                                                    - object
                                                    - 'null'
                                                city_name:
                                                  description: >-
                                                    The name of the city (or cities
                                                    separated by a `/`) where the airport is
                                                    located
                                                  example: New York
                                                  type: string
                                                iata_city_code:
                                                  description: >-
                                                    The three-character IATA code for the
                                                    city where the airport is located
                                                  example: NYC
                                                  type: string
                                                iata_code:
                                                  description: >-
                                                    The three-character IATA code for the
                                                    airport
                                                  example: JFK
                                                  type:
                                                    - string
                                                    - 'null'
                                                iata_country_code:
                                                  description: >-
                                                    The [ISO 3166-1
                                                    alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                    code for the country where the airport
                                                    is located
                                                  example: US
                                                  format: ISO 3166-1 alpha-2
                                                  type: string
                                                icao_code:
                                                  description: >-
                                                    The four-character ICAO code for the
                                                    airport
                                                  example: KJFK
                                                  type:
                                                    - string
                                                    - 'null'
                                                id:
                                                  description: >-
                                                    Duffel's unique identifier for the
                                                    resource
                                                  example: arp_jfk_us
                                                  type: string
                                                latitude:
                                                  description: >-
                                                    The latitude position of the airport
                                                    represented in [Decimal
                                                    degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                    with 6 decimal points with a range
                                                    between -90° and 90°
                                                  example: 40.640556
                                                  format: float
                                                  type: number
                                                longitude:
                                                  description: >-
                                                    The longitude position of the airport
                                                    represented in [Decimal
                                                    degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                    with 6 decimal points with a range
                                                    between -180° and 180°
                                                  example: -73.778519
                                                  format: float
                                                  type: number
                                                name:
                                                  description: The name of the airport
                                                  example: John F. Kennedy International Airport
                                                  type: string
                                                time_zone:
                                                  description: >-
                                                    The time zone of the airport, specified
                                                    by name from the [tz
                                                    database](https://en.wikipedia.org/wiki/Tz_database)
[...]
